Home>

Local server display in rails

Error message

I'm new to programming. Rails environment construction for web application creation with rails,
I want to deploy to Heroku with Ruby on rails and execute "rails new platform -d postgres". After running rails s,
「=>Booting Puma
=>Rails 6.0.1 application starting in development
=>Runrails server --helpfor more startup options
* SIGUSR2 not implemented, signal based restart unavailable! *SIGUSR1 not implemented, signal based restart unavailable!
*** SIGHUP not implemented, signal based logs reopening unavailable!
Puma starting in single mode ...

  • Version 4.3.0 (ruby 2.6.5-p114), codename: Mysterious Traveler
  • Min threads: 5, max threads: 5
  • Environment: development
  • Listening on tcp: // [:: 1]: 3000
  • Listening on tcp: //127.0.0.1: 3000
    Use Ctrl-C to stop "
    When the above message is displayed and "http: localhost: 3000" is used to access with Google server, the image is displayed and not displayed.
    When you return to cmd after the image result, the following error message has been added, and it cannot be resolved.
    In addition, after the following error message is displayed, no input is accepted as it is still being processed.
    I couldn't solve a lot of research, so I posted it here.
    It may be a rudimentary question, but someone would appreciate it if you could teach me.

    [Environment] rails v is 6.0.1, ruby ​​2.6.5p114 (2019-10-01 revision 67812) [x64-mingw32],
    After installing windows10, node.js and yarn, webpacker is already installed with cmd.
Error message
Started GET "/" for :: 1 at 2019-11-26 16:52:59 +0900
PG :: ConnectionBad (fe_sendauth: no password supplied
):
pg-1.1.4-x64 (mingw32) lib/pg.rb: 56: in `initialize '
pg-1.1.4-x64 (mingw32) lib/pg.rb: 56: in `new '
pg-1.1.4-x64 (mingw32) lib/pg.rb: 56: in `connect '
activerecord (6.0.1) lib/active_record/connection_adapters/postgresql_adapter.rb: 46: in `postgresql_connection '
<Omitted>
actionpack (6.0.1) lib/action_dispatch/middleware/host_authorization.rb: 83: in `call '
webpacker (4.2.0) lib/webpacker/dev_server_proxy.rb: 23: in `perform_request '
rack-proxy (0.6.5) lib/rack/proxy.rb: 57: in `call '
railties (6.0.1) lib/rails/engine.rb: 526: in `call '
puma (4.3.0) lib/puma/configuration.rb: 228: in `call '
puma (4.3.0) lib/puma/server.rb: 667: in `handle_request '
puma (4.3.0) lib/puma/server.rb: 470: in `process_client '
puma (4.3.0) lib/puma/server.rb: 328: in `block in run '
puma (4.3.0) lib/puma/thread_pool.rb: 134: in `block in spawn_thread '
### Corresponding source code

Enter the language name here
Ruby on rails 6
`` `

Please describe what you tried for the problem here.

Supplemental information (FW/tool version etc.)

[Environment] rails v is 6.0.1, ruby ​​2.6.5p114 (2019-10-01 revision 67812) [x64-mingw32],
After installing windows10, node.js and yarn, webpacker is already installed with cmd.

  • Answer # 1

    Since I just wanted to start the server and check with the browser, I thought I didn't need to create a DB (since it doesn't handle data yet), but I needed to create a DB.
    Thank you all!

Related articles